/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cnam.webProj.ui.message;

import cnam.webProj.model.ForumMessage;
import cnam.webProj.service.MessageService;
import cnam.webProj.ui.MessageHelper;
import cnam.webProj.ui.UserConnection;
import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;

/**
 *
 * @author rosmord
 */
@Named
@RequestScoped
public class MessageCreateBean {
    @Inject
    UserConnection userConnection;
    
    @Inject
    MessageService messageService;
    
    private Long id;
    
    private String title;
    
    private String content;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getId() {
        return id;
    }
    
    public String create() {
        if (userConnection.getHasUser()) {
            this.id= messageService.create(title, content, userConnection.getCurrentUser());            
            return "success";
        } else {
            MessageHelper.addErrorMessage("You must be connected to create messages");
            return "failure";
        }
    }
}
